<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">FORM ANGSURAN</h4>
        </div>
        <div class="card-body">
          <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
            <div class="row">
              <div class="col-sm-6">
                <div class="col-sm-12" *ngIf="dataUser.role!=='AGT'">
                  <label class="col-form-label">Perusahaan</label>
                  <app-company-select (change)="doGetListMember()" [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>
                  <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectPerusahaan" [(value)]="selectedPerusahaan" (change)="doGetListMember()" [options]="listPerusahaan"></ngx-select-dropdown>-->
                </div>
                <div class="col-sm-12" *ngIf="dataUser.role!=='AGT'">
                  <label class="col-form-label">Anggota</label>
                  <app-company-select [options]="listAnggota" (someChildEvent)="selectedAnggota=$event" ></app-company-select>
                  <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectAnggota" [(value)]="selectedAnggota" [options]="listAnggota"></ngx-select-dropdown>-->
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Jenis Simpanan</label>
                  <select class="form-control" formControlName="jenisIuran">
                    <option value="" disabled>Pilih Jenis Simpanan</option>
                    <option value="POKOK" (click)="setNamaSimpanan('Simpanan Pokok');">Simpanan Pokok</option>
                    <option value="WAJIB" (click)="setNamaSimpanan('Simpanan Wajib');">Simpanan Wajib</option>
                    <option value="SUKARELA" (click)="setNamaSimpanan('Simpanan Sukarela');">Simpanan Sukarela</option>
                  </select>
                  <input type="hidden" formControlName="namaSimpanan">
                  <input type="hidden" formControlName="ketIuran">
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Periode</label>
                  <div class="input-group">
                    <select class="form-control" formControlName="bulan">
                      <option value="" disabled>Pilih Bulan</option>
                      <option value="01" [selected]="currentMonth === 1">JANUARY</option>
                      <option value="02" [selected]="currentMonth === 2">FEBRUARY</option>
                      <option value="03" [selected]="currentMonth === 3">MARCH</option>
                      <option value="04" [selected]="currentMonth === 4">APRIL</option>
                      <option value="05" [selected]="currentMonth === 5">MAY</option>
                      <option value="06" [selected]="currentMonth === 6">JUNE</option>
                      <option value="07" [selected]="currentMonth === 7">JULY</option>
                      <option value="08" [selected]="currentMonth === 8">AUGUST</option>
                      <option value="09" [selected]="currentMonth === 9">SEPTEMBER</option>
                      <option value="10" [selected]="currentMonth === 10">OCTOBER</option>
                      <option value="11" [selected]="currentMonth === 11">NOVEMBER</option>
                      <option value="12" [selected]="currentMonth === 12">DECEMBER</option>
                    </select>
                    <select class="form-control ml-3" formControlName="tahun">
                      <option value="" disabled>Pilih Tahun</option>
                      <option value="{{currentYear - 2}}">{{currentYear - 2}}</option>
                      <option value="{{currentYear - 1}}">{{currentYear - 1}}</option>
                      <option value="{{currentYear }}" [selected]="currentYear === currentYear">{{currentYear}}</option>
                      <option value="{{currentYear + 1}}">{{currentYear + 1}}</option>
                      <option value="{{currentYear + 2}}">{{currentYear + 2}}</option>
                    </select>
                  </div>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Nominal</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalSimpanan.value}}"
                           placeholder="Nominal Simpanan" formControlName="nominalSimpanan">
                  </div>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Status</label>
                  <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectJenisAngsuran" [(value)]="selectedJenisAngsuran" [options]="listJenisAngsuran"></ngx-select-dropdown>-->
                  <select class="form-control" formControlName="mediaIuran">
                    <option value="" disabled>Pilih Status</option>
                    <option value="SETORAN">Setoran</option>
                    <option value="PENARIKAN">Penarikan</option>
                  </select>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Keterangan</label>
                  <textarea rows="2" id="keterangan" class="form-control" formControlName="keterangan" placeholder="Keterangan"></textarea>
                </div>
              </div>
            </div><br>
            <button class="btn btn-success btn-lg" (click)="doSubmitSimpanan()"><i class="fa fa-save"></i> SUBMIT</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
